Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ApplicationObjectAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ApplicationObjectAdmin

    public class ApplicationObjectAdmin

extends java.lang.Object

The `ApplicationObjectAdmin.java` class - collection of ApplicationObject admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_applicationObjTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`ApplicationObjectAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `createApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of Create ApplicationObject
`void` | `createApplicationObject(LibrarySession sess, java.lang.String idname, ApplicationObjectDefinition def)` internal variant of Create ApplicationObject
`void` | `createApplicationObject(LibrarySession sess, java.lang.String idname, ApplicationObjectDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create ApplicationObject
`void` | `createApplicationObject(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create ApplicationObject
`void` | `deleteApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of delete ApplicationObject
`void` | `deleteApplicationObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete ApplicationObject
`void` | `deleteApplicationObject(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete ApplicationObject
`void` | `freeApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of Free ApplicationObject
`void` | `freeApplicationObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free ApplicationObject
`void` | `identifyApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of Identify ApplicationObject
`void` | `identifyApplicationObject(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path, java.lang.String contentQuotaUser)` Inline/internal variant of Identify ApplicationObject
`ApplicationObject` | `lookupApplicationObject(java.lang.String idname)`
`void` | `modifyApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of Modify ApplicationObject
`void` | `modifyApplicationObject(LibrarySession sess, java.lang.String idname, ApplicationObjectDefinition def)` internal variant of Modify ApplicationObject
`void` | `showApplicationObject(LibrarySession sess, ApplicationObject appobj)`
`void` | `showApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of showApplicationObject
`void` | `showApplicationObject(LibrarySession sess, java.lang.String name)` Inline/internal variant of showApplicationObject
`void` | `undeleteApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of undelete ApplicationObject
`void` | `undeleteApplicationObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete ApplicationObject
`void` | `undeleteApplicationObject(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete ApplicationObject
`void` | `unidentifyApplicationObject(LibrarySession sess, ParameterTable params)` Section variant of Unidentify ApplicationObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_applicationObjTable

    protected java.util.Hashtable m_applicationObjTable

Constructor Detail

### ApplicationObjectAdmin

    public ApplicationObjectAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createApplicationObject

    public void createApplicationObject(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of Create ApplicationObject

  Throws:
    `IfsException`

### createApplicationObject

    public void createApplicationObject(LibrarySession sess,
                                        java.lang.String idname,
                                        java.lang.String nameToken)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  inline variant of Create ApplicationObject

  Throws:
    `IfsException`

### createApplicationObject

    public void createApplicationObject(LibrarySession sess,
                                        java.lang.String idname,
                                        ApplicationObjectDefinition def)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  internal variant of Create ApplicationObject

  Throws:
    `IfsException`

### createApplicationObject

    public void createApplicationObject(LibrarySession sess,
                                        java.lang.String idname,
                                        ApplicationObjectDefinition def,
                                        VersionDescriptionDefinition vddef)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  internal variant of VERSIONED Create ApplicationObject

  Throws:
    `IfsException`

### modifyApplicationObject

    public void modifyApplicationObject(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of Modify ApplicationObject

  Throws:
    `IfsException`

### modifyApplicationObject

    public void modifyApplicationObject(LibrarySession sess,
                                        java.lang.String idname,
                                        ApplicationObjectDefinition def)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  internal variant of Modify ApplicationObject

  Throws:
    `IfsException`

### freeApplicationObject

    public void freeApplicationObject(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of Free ApplicationObject

  Throws:
    `IfsException`

### freeApplicationObject

    public void freeApplicationObject(LibrarySession sess,
                                      java.lang.String idname)
                               throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of Free ApplicationObject

  Throws:
    `IfsException`

### deleteApplicationObject

    public void deleteApplicationObject(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of delete ApplicationObject

  Throws:
    `IfsException`

### deleteApplicationObject

    public void deleteApplicationObject(LibrarySession sess,
                                        java.lang.String idname)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of Delete ApplicationObject

  Throws:
    `IfsException`

### deleteApplicationObject

    public void deleteApplicationObject(LibrarySession sess,
                                        java.lang.String idname,
                                        LibraryObjectDefinition def)
                                 throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of Delete ApplicationObject

  Throws:
    `IfsException`

### undeleteApplicationObject

    public void undeleteApplicationObject(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of undelete ApplicationObject

  Throws:
    `IfsException`

### undeleteApplicationObject

    public void undeleteApplicationObject(LibrarySession sess,
                                          java.lang.String idname)
                                   throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of Undelete ApplicationObject

  Throws:
    `IfsException`

### undeleteApplicationObject

    public void undeleteApplicationObject(LibrarySession sess,
                                          java.lang.String idname,
                                          LibraryObjectDefinition def)
                                   throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of Undelete ApplicationObject

  Throws:
    `IfsException`

### identifyApplicationObject

    public void identifyApplicationObject(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of Identify ApplicationObject

  Throws:
    `IfsException`

### identifyApplicationObject

    public void identifyApplicationObject(LibrarySession sess,
                                          java.lang.String idname,
                                          java.lang.Long id,
                                          java.lang.String name,
                                          java.lang.String valueDefaultName,
                                          java.lang.String path,
                                          java.lang.String contentQuotaUser)
                                   throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of Identify ApplicationObject

  Throws:
    `IfsException`

### unidentifyApplicationObject

    public void unidentifyApplicationObject(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of Unidentify ApplicationObject

  Throws:
    `IfsException`

### lookupApplicationObject

    public ApplicationObject lookupApplicationObject(java.lang.String idname)
                                              throws IfsException

  Throws:
    `IfsException`

### showApplicationObject

    public void showApplicationObject(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Section variant of showApplicationObject

  Throws:
    `IfsException`

### showApplicationObject

    public void showApplicationObject(LibrarySession sess,
                                      java.lang.String name)
                               throws IfsException

  Description copied from class: `ApplicationObjectAdmin`
  Inline/internal variant of showApplicationObject

  Throws:
    `IfsException`

### showApplicationObject

    public void showApplicationObject(LibrarySession sess,
                                      ApplicationObject appobj)
                               throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD